Bug 476564 - (CVE-2008-5618) CVE-2008-5618 rsyslog: DoS in the imupd plugin by emitting messages when a non-permitted sender tried to send a message to it
CVE-2008-5618 rsyslog: DoS in the imupd plugin by emitting messages when a no...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.rsyslog.com/Topic4.phtml
source=gentoo,reported=20081205,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-15 12:49 EST by Jan Lieskovsky
Modified: 2009-01-09 03:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 03:39:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-12-15 12:49:47 EST
A denial of service flaw was reported in the upstream Rsyslog syslogd
support. A non-permitted sender could send a message to the imudp plugin,
which would reply by emitting a message, each time such an request
was made. This could allow an attacker to cause a DoS (excessive disk space
consummation). 

References:
http://www.rsyslog.com/Topic4.phtml

Upstream patch against 3.20.2 (v3-stable) version:
http://git.adiscon.com/?p=rsyslog.git;a=commitdiff;h=afdccceefa30306cf720a27efd5a29bcc5a916c9
Comment 1 Jan Lieskovsky 2008-12-15 12:51:30 EST
This issue does NOT affect the version of the Rsyslog package, as shipped
with Red Hat Enterprise Linux 5.

This issue affects the versions of the Rsyslog package, as shipped
with Fedora releases of 9, 10 and devel (Fedora release of 8 is not
affected).
Comment 2 Tomas Heinrich 2008-12-15 13:26:14 EST
This issue affects versions 3.20.1 and 3.21.8.
The current versions in Fedora 9, 10 and devel are 3.20.2, 3.21.9 and 3.21.9, respectively.

The referenced patch should be against version 3.20.1.
Comment 3 Fedora Update System 2008-12-17 04:51:19 EST
rsyslog-3.20.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rsyslog-3.20.2-2.fc9
Comment 4 Tomas Hoger 2008-12-17 05:18:22 EST
CVE id CVE-2008-5618 was assigned to this issue:

imudp in rsyslog 4.x before 4.1.2, 3.21 before 3.21.9 beta, and 3.20
before 3.20.2 generates a message even when it is sent by an
unauthorized sender, which allows remote attackers to cause a denial
of service (disk consumption) via a large number of spurious messages.
Comment 5 Fedora Update System 2008-12-21 03:38:18 EST
rsyslog-3.20.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-21 03:44:53 EST
rsyslog-3.21.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2009-01-09 03:39:58 EST
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11476
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-11538

Note You need to log in before you can comment on or make changes to this bug.